<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Payment List</title>
</head>
<body>

<table border="1" style="width: 100%">
    <tr>
        <th>Timestamp</th>
        <th>Name</th>
        <th>State</th>
        <th>Amount</th>
        <th>View</th>
    </tr>
    {% for payment in payments %}
    <tr>
        <td>
            {{ payment.created }}
        </td>
        <td>
            {{ payment.customer.first_name }}
            {{ payment.customer.last_name }}
        </td>
        <td>
            {{ payment.state }}
        </td>
        <td>
            {{ payment.amount }} {{ payment.amount_currency }}
        </td>
        <td>
            <form action="/payment/{{payment.id}}/" method="get">
                <button type="submit">details</button>
            </form>
        </td>
    </tr>
    {% endfor %}
</table>

</body>
</html>